classification
Title: Email example should use SMTP.quit() rather than SMTP.close()
Type: behavior Stage: resolved
Components: Documentation Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: asmodai, georg.brandl, matt
Priority: low Keywords:

Created on 2008-10-30 05:29 by matt, last changed 2009-04-29 08:34 by asmodai. This issue is now closed.

Messages (5)
msg75354 - (view) Author: Matt Johnston (matt) Date: 2008-10-30 05:29
The email module example has "s.close()", while the smtplib docs say to
use .quit()

The latter is probably correct?
msg75355 - (view) Author: Matt Johnston (matt) Date: 2008-10-30 06:25
Another problem with that example - the .connect() isn't required and
causes the SMTP session to fail to send anything and time out.
msg86496 - (view) Author: Jeroen Ruigrok van der Werven (asmodai) * (Python committer) Date: 2009-04-25 12:50
Thanks, committed in r71882.

Georg, I guess this needs to be backported to 2.6 at least and we need
to check what 3.x has.
msg86520 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-04-25 14:59
I'm guessing there is no difference in functionality in 2.6 or 3.x.
msg86784 - (view) Author: Jeroen Ruigrok van der Werven (asmodai) * (Python committer) Date: 2009-04-29 08:34
Not that I saw.

Merged to py3k and 2.6.
History
Date User Action Args
2009-04-29 08:34:58asmodaisetstatus: open -> closed
resolution: accepted
messages: + msg86784
2009-04-25 14:59:01georg.brandlsetmessages: + msg86520
2009-04-25 12:50:59asmodaisetpriority: low
stage: resolved
2009-04-25 12:50:29asmodaisetnosy: + asmodai
messages: + msg86496
2008-10-30 06:25:36mattsetmessages: + msg75355
2008-10-30 05:29:45mattcreate